# Generated from shopify-bundler-1.10.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name shopify-bundler

Name: rubygem-%{gem_name}
Version: 1.10.7
Release: 1%{?dist}
Summary: The best way to manage your application's dependencies
License: MIT
URL: http://bundler.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(automatiek) >= 0.1.0
# BuildRequires: rubygem(automatiek) < 0.2
# BuildRequires: rubygem(mustache) = 0.99.6
# BuildRequires: rubygem(rdiscount) >= 1.6
# BuildRequires: rubygem(rdiscount) < 2
# BuildRequires: rubygem(ronn) >= 0.7.3
# BuildRequires: rubygem(ronn) < 0.8
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Bundler manages an application's dependencies through its entire life, across
many machines, systematically and repeatably.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/bundle
%{_bindir}/bundler
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/DEVELOPMENT.md
%{gem_instdir}/ISSUES.md
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/man
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bundler.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 1.10.7-1
- Initial package
